<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Diasdevisita{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO diasdevisitas (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($iddiasdevisita,$nombre,$descripcion){
	$sql="UPDATE diasdevisitas SET nombre='$nombre',descripcion='$descripcion' 
	WHERE iddiasdevisita='$iddiasdevisita'";
	return ejecutarConsulta($sql);
}
public function desactivar($iddiasdevisita){
	$sql="UPDATE diasdevisitas SET condicion='0' WHERE iddiasdevisita='$iddiasdevisita'";
	return ejecutarConsulta($sql);
}
public function activar($iddiasdevisita){
	$sql="UPDATE diasdevisitas SET condicion='1' WHERE iddiasdevisita='$iddiasdevisita'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($iddiasdevisita){
	$sql="SELECT * FROM diasdevisitas WHERE iddiasdevisita='$iddiasdevisita'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM diasdevisitas";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM diasdevisitas WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
